Skip to main content
GET
/
v2
/
icp-criteria
/
{icpCriteriaID}
Get an ICP criteria
curl --request GET \
  --url https://api.tamtam.ai/api/v2/icp-criteria/{icpCriteriaID} \
  --header 'Authorization: <api-key>'
{
  "criteria": [
    {
      "account_criteria_id": "<string>",
      "id": "<string>",
      "rule": {
        "bool_eq": true,
        "contains": [
          "<string>"
        ],
        "eq": 123,
        "gt": 123,
        "gte": 123,
        "lt": 123,
        "lte": 123,
        "not_contains": [
          "<string>"
        ]
      }
    }
  ],
  "hq_country_codes": [
    "<string>"
  ],
  "id": "<string>",
  "industry_excludes": [
    "<string>"
  ],
  "industry_includes": [
    "<string>"
  ],
  "name": "<string>",
  "tier": 123,
  "employees_max": 123,
  "employees_min": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.tamtam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Account API key passed in the Authorization header

Path Parameters

icpCriteriaID
string
required

ICP criteria UUID

Response

OK

criteria
object[] | null
required

Custom account criteria rules

hq_country_codes
string[] | null
required

HQ country codes filter

id
string
required

ICP criteria UUID

industry_excludes
string[] | null
required

Industry names to exclude

industry_includes
string[] | null
required

Industry names to include

name
string
required

ICP criteria name

tier
integer<int32>
required

Priority tier (lower = higher priority)

employees_max
integer<int32>

Maximum employee count

employees_min
integer<int32>

Minimum employee count